Disables the specified exchange for the environment.
curl --request PUT \
--url https://app.dynamicauth.com/api/v0/settings/exchanges/{exchangeId}/disable \
--header 'Authorization: Bearer <token>'{
"exchange": "coinbase",
"id": "95b11417-f18f-457f-8804-68e361f9164f",
"enabledAt": "2023-11-07T05:31:56Z",
"socialProvider": "emailOnly",
"onRampProvider": "emailOnly"
}Documentation Index
Fetch the complete documentation index at: https://docs.dynamic.xyz/docs/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
ID of the exchange
36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
Successful
Source exchange identifier
coinbase, kraken 36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
ISO 8601 timestamp of when the exchange was enabled
The 'turnkey' value is deprecated and will be removed in a future version.
emailOnly, magicLink, apple, bitbucket, coinbasesocial, discord, epicgames, facebook, farcaster, github, gitlab, google, instagram, linkedin, microsoft, twitch, twitter, blocto, banxa, coinbaseOnramp, cryptoDotCom, moonPay, dynamic, alchemy, zerodev, telegram, turnkey, coinbaseWaas, sms, spotify, tiktok, line, steam, shopify, zksync, kraken, blockaid, passkey, okta, sendgrid, resend The 'turnkey' value is deprecated and will be removed in a future version.
emailOnly, magicLink, apple, bitbucket, coinbasesocial, discord, epicgames, facebook, farcaster, github, gitlab, google, instagram, linkedin, microsoft, twitch, twitter, blocto, banxa, coinbaseOnramp, cryptoDotCom, moonPay, dynamic, alchemy, zerodev, telegram, turnkey, coinbaseWaas, sms, spotify, tiktok, line, steam, shopify, zksync, kraken, blockaid, passkey, okta, sendgrid, resend Was this page helpful?
curl --request PUT \
--url https://app.dynamicauth.com/api/v0/settings/exchanges/{exchangeId}/disable \
--header 'Authorization: Bearer <token>'{
"exchange": "coinbase",
"id": "95b11417-f18f-457f-8804-68e361f9164f",
"enabledAt": "2023-11-07T05:31:56Z",
"socialProvider": "emailOnly",
"onRampProvider": "emailOnly"
}